JsonCpp project page | JsonCpp home page

Namespaces | Typedefs | Enumerations | Functions
json_tool.h File Reference
`#include <clocale>`
Include dependency graph for json_tool.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| Json
| JSON (JavaScript Object Notation).

## Typedefs
typedef char | Json::UIntToStringBuffer[uintToStringBufferSize]

## Enumerations
enum | { Json::uintToStringBufferSize = 3 * sizeof(LargestUInt) + 1 }

## Functions
static char | Json::getDecimalPoint ()
static JSONCPP_STRING | Json::codePointToUTF8 (unsigned int cp)
| Converts a unicode code-point to UTF-8. More...
static bool | Json::isControlCharacter (char ch)
| Returns true if ch is a control character (in range [1,31]). More...
static void | Json::uintToString (LargestUInt value, char *&current)
| Converts an unsigned integer to string. More...
static void | Json::fixNumericLocale (char *begin, char *end)
| Change ',' to '. More...
static void | Json::fixNumericLocaleInput (char *begin, char *end)